package  
{
	import flash.display.Sprite;
	
	/**
	 * A simple ball class that's set up to be edited in real time using
	 * the AS3 Game Object Editor. Check out http://code.google.com/p/as3-game-object-editor/
	 * for the project, and http://code.google.com/p/as3-game-object-editor/wiki/ClassMarkup
	 * for an explanation of the markup
	 * @author Damian
	 */
	public class Ball extends Sprite
	{
		/*********************************************************/
		
		private var m_colour:uint = 0;
		
		/*********************************************************/
		
		/**
		 * The colour of our ball
		 */
		[Editable(type="colour")]
		public function get colour():uint { return this.m_colour; }
		public function set colour( u:uint ):void
		{
			this.m_colour = u;
			this._draw();
		}
		
		/*********************************************************/
		
		/**
		 * Creates the Ball and sets the inital colour
		 */
		public function Ball() 
		{
			this.x 		= 300.0;
			this.y 		= 200.0;
			this.colour	= 0xff0000;
		}
		
		/*********************************************************/
		
		// redraw our ball
		private function _draw():void
		{
			this.graphics.clear();
			this.graphics.lineStyle( 2.0 );
			this.graphics.beginFill( this.m_colour );
			this.graphics.drawCircle( 0.0, 0.0, 30.0 );
			this.graphics.endFill();
		}
		
	}

}